/*! ########## 5.4 Demo ########## */
/*
 * All classes below are considered part of the utilities classes
 * that are not available there but manually added here.
 *
 * Class names below are named the same way with utilities classes
 * so that this can be reuse anywhere in the template and not only
 * for a specific theme file. You can also add your own style here
 * if styles are not available both in utilities classes and here.
 *
 * Meanwhile, you are free to move all classes found below to be
 * added in the utilities classes based from where they belong.
 *
*/

// Borders and Radius
.u-rounded--2 {
   border-radius: 2px;
}

.u-rounded-right--2 {
   border-top-right-radius: 2px;
   border-bottom-right-radius: 2px;
}

.u-rounded-left--2 {
   border-top-left-radius: 2px;
   border-bottom-left-radius: 2px;
}


// Margins
.u-mrgn-left--240 {
   margin-left: 240px;
}

.u-mrgn-left--320 {
   margin-left: 320px;
}

.u-mrgn-left--18 {
   margin-left: 18px;
}

.u-mrgn-top--16 {
   margin-top: 16px;
}

.u-mrgn-top--18 {
   margin-top: 18px;
}

.u-mrgn-top--19 {
   margin-top: 19px;
}

.u-mrgn-top--70 {
   margin-top: 70px;
}

.u-mrgn-top--120 {
   margin-top: 120px;
}

.u-mrgn-top--130 {
   margin-top: 130px;
}

.u-mrgn-top--140 {
   margin-top: 140px;
}

.u-mrgn-top--neg-100 {
   margin-top: -100px;
}

.u-mrgn-top--neg-200 {
   margin-top: -200px;
}

.u-mrgn-left--neg-5 {
   margin-left: -5px;
}

// Positions
.u-top--2 {
   top: 2px;
}

.u-top--3 {
   top: 3px;
}

.u-top--4 {
   top: 4px;
}

.u-top--130 {
   top: 130px;
}

.u-top--140 {
   top: 140px;
}

.u-top--148 {
   top: 148px;
}

.u-right--240 {
   right: 240px;
}

.u-right--250 {
   right: 250px;
}

.u-bottom--62 {
   bottom: 62px;
}

.u-left--200 {
   left: 200px;
}

.u-left--220 {
   left: 220px;
}

.u-left--240 {
   left: 240px;
}

.u-left--260 {
   left: 260px;
}

.u-left--320 {
   left: 320px;
}

.u-left--540 {
   left: 540px;
}


.u-top--neg-2 {
   top: -2px;
}

.u-top--neg-3 {
   top: -3px;
}

.u-top--neg-30 {
   top: -30px;
}

.u-top--neg-70 {
   top: -70px;
}

.u-right--neg-240 {
   right: -240px;
}

.u-right--neg-250 {
   right: -250px;
}

.u-left--neg-200 {
   left: -200px;
}

.u-left--neg-220 {
   left: -220px;
}

.u-left--neg-240 {
   left: -240px;
}

.u-left--neg-260 {
   left: -260px;
}

// Widths
.u-width--220 {
   width: 220px;
}

.u-width--240 {
   width: 240px;
}

.u-width--260 {
   width: 260px;
}

.u-width--320 {
   width: 320px;
}

.u-width--1140 {
   width: 1140px;
}

.u-height--110 {
   height: 110px;
}

.u-height--120 {
   height: 120px;
}

.u-height--min-70 {
   min-height: 70px;
}

// Paddings
.u-pad-v--12 {
   padding-top: 12px;
   padding-bottom: 12px;
}

.u-pad-left--12 {
   padding-left: 12px;
}

.u-pad-left--240 {
   padding-left: 240px;
}

// Borders
.u-bd-left--0 {
   border-left: 0 !important;
}

.u-bd-right--0 {
   border-right: 0 !important;
}

// Text Colors and Background Colors
.u-bg--black-1 {
   background-color: darken($brand-inverse, 15%);
}

.u-bg--black-2 {
   background-color: darken($brand-inverse, 10%);
}

.u-bg--black-3 {
   background-color: #333;
}

.u-bg--info-light {
   background-color: $color-info-light;
}

.u-fg--info-light {
   color: $color-info-light;
}

// Image Background
.u-bg--pattern {
   background-image: url('../images/pattern.png');
}

.c-img-bg {
   background-size: cover;
   background-repeat: no-repeat;
   background-position: center center;
   background-attachment: fixed;
}

// Typograpphy
.c-section__title-outline {
   position: relative;
   text-align: center;

   span {
      position: relative;
      display: inline-block;
      padding-left: 10px;
      padding-right: 10px;
      background-color: #fff;
      z-index: 2;
   }

   &:after {
      content: '';
      border-bottom: 1px solid $gray-lighter;
      position: absolute;
      left: 0;
      right: 0;
      top: 50%;
      z-index: 1;
   }
}

.app-theme {

   .c-headpanel,
   .c-leftpanel,
   .c-rightpanel {
      @include transition($transition-base);
   }

   .c-leftpanel {
      .c-nav__link {
         padding-left: 20px;
         padding-right: 20px;
         padding-top: 10px;
         padding-bottom: 10px;
         color: $gray;

         i {
            font-size: 14px;
            margin-right: 7px;
         }

         &:hover,
         &:focus {
            background-color: $color-teal;
            color: #fff;
         }
      }
   }

   .c-nav__owl {
      .c-owl-prev,
      .c-owl-next {
         position: relative;
         display: inline-block;
         width: 40px;
         height: 40px;
         border: 1px solid darken($gray-lighter, 2%);
         text-indent: 9999px;
         overflow: hidden;
         margin-left: 5px;
         cursor: pointer;
         @include transition($transition-base);
         @include border-radius(2px);

         &:before {
            position: absolute;
            font-family: 'FontAwesome';
            font-size: 24px;
            color: $gray-light;
            top: -2px;
            left: 15px;
            z-index: 50;
            text-indent: 0;
         }

         &:hover,
         &:focus {
            background-color: lighten($gray-lightest, 2%);

            &::before {
               color: $gray;
            }
         }
      }

      .c-owl-prev:before {
         content: '\f104 ';
      }

      .c-owl-next:before {
         content: '\f105';
      }
   }
}

.c-res-menu {
   .c-headpanel {
      @include transition($transition-base);

      .c-nav__link.active::before {
         @include transition($transition-base);
         border-bottom-width: 2px;
         bottom: 2px;
      }

      .c-nav {
         position: fixed;
         top: 70px;
         right: 0;
         left: 0;
         flex-direction: column;
         background-color: #fff;
         padding: 15px 12px;
         border-top: 1px solid $gray-lighter;
         border-bottom: 1px solid $gray-lighter !important;
         @include transition($transition-base);

         .c-nav__item+.c-nav__item {
            margin-top: 5px;
         }

         .c-nav__link {
            display: inline-block;
         }
      }
   }

   .c-head__scroll {
      background-color: #fff;
      -webkit-box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.05);
      box-shadow: 0 2px 0 rgba(0, 0, 0, 0.05);
      @include transition($transition-base);

      .c-nav__link.active::before {
         @include transition($transition-base);
      }
   }
}

// mega menu demo used in landing-9 and landing10
.c-nav__dropdown {
   &.c-nav__hover--primary {
      .c-dropdown.show>a {
         color: $brand-primary;
      }
   }

   //adding fade effect to dropdown menu
   .c-dropdown {
      >.c-dropdown__menu {
         display: block;
         opacity: 0;
         top: -10000px !important;
         margin-top: -2px;
         border-top: 0;
         @include transition($transition-base);
         transform: none !important;
      }
   }

   .show {
      >.c-dropdown__menu {
         display: block;
         opacity: 1;
         top: auto !important;
         @include transition($transition-base);

         @include media-breakpoint-down(md) {
            position: static !important;
         }
      }
   }
}

@include media-breakpoint-down(md) {

   .c-show-sf-menu {
      overflow: hidden;

      .c-headpanel {
         .o-container {
            overflow-y: auto;
            height: 100vh;
         }
      }
   }
}

@include media-breakpoint-up(md) {

   .u-top-md--neg-50 {
      top: -50px;
   }

   .u-height-md--750 {
      height: 750px;
   }

   .u-pad-md-top--120 {
      padding-top: 120px;
   }
}

@media (min-width: 768px) and (max-width: 991px) {
   .hidden-md-only {
      display: none !important;
   }
}

@include media-breakpoint-up(lg) {

   // do something for lg
   .u-mrgn-lg-left--240 {
      margin-left: 240px;
   }

   .u-pad-lg-left--240 {
      padding-left: 240px;
   }

   .u-top-lg--50 {
      top: 50px;
   }

   .u-top-lg--70 {
      top: 70px;
   }

   .u-right-lg--0 {
      right: 0;
   }

   .u-right-lg--250 {
      right: 250px;
   }

   .u-left-lg--0 {
      left: 0;
   }

   .u-left-lg--240 {
      left: 240px;
   }

   .u-top-lg--neg-95 {
      top: -95px;
   }

   .u-top-lg--neg-70 {
      top: -70px;
   }

   .u-height-lg--300 {
      height: 300px;
   }

   .u-height-lg--500 {
      height: 500px;
   }

   .u-height-lg--700 {
      height: 700px;
   }

   //use in blog-2 header
   .u-height-lg--750 {
      height: 750px;
   }

   .u-height-lg--auto {
      height: auto;
   }

   .c-res-menu {
      .c-headpanel {
         .c-nav {
            background-color: transparent;
            position: relative;
            flex-direction: row;
            top: auto;
            left: auto;
            right: auto;
            padding: 0;
            border-top: 0;
            border-bottom: 0 !important;

            .c-nav__item+.c-nav__item {
               margin-top: 0;
            }
         }
      }

      .c-head__scroll {
         .c-nav__link.active::before {
            bottom: -18px;
         }
      }
   }
}

@include media-breakpoint-up(xl) {

   // do something for xl
   .u-top-xl--50 {
      top: 50px;
   }

   .u-right-xl--0 {
      right: 0;
   }

   .u-right-xl--240 {
      right: 240px;
   }

   .u-right-xl--250 {
      right: 250px;
   }

   .u-left-xl--0 {
      left: 0;
   }

   .u-left-xl--240 {
      left: 240px;
   }

   .u-left-xl--260 {
      left: 260px;
   }

   .u-left-xl--320 {
      left: 320px;
   }

   .u-left-xl--540 {
      left: 540px;
   }

   .u-top-xl--neg-50 {
      top: -50px;
   }

   // used in corporate-2

   .u-mrgn-xl-left--neg-5 {
      margin-left: -5px;
   }

   .u-mrgn-xl-top--neg-100 {
      margin-left: -100px;
   }

   .u-width-xl--320 {
      width: 320px;
   }

   .u-width-xl--540 {
      width: 540px;
   }

   .u-width-xl--1140 {
      width: 1140px;
   }
}
